%define _disable_ld_no_undefined 1

Summary:  An open source software for the creation of electronic schematic diagrams
Name: kicad
Version: 20080825
Release: alt0.2
Source0: %name-%version.tar.bz2
Patch0: disable-svn-header.patch
Patch1: fix-desktop.patch
License: GPLv2+
Group: Sciences/Computer science
Url: 		http://kicad.sourceforge.net/
Packager: Alexey Shentzev <ashen@altlinux.ru>

# Automatically added by buildreq on Fri Feb 13 2009
BuildRequires: boost-devel ccmake cmake cmake-modules gcc-c++ libGL-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdmcp-devel 
BuildRequires: libXext-devel libXft-devel libXi-devel libXinerama-devel libXpm-devel libXrandr-devel libXt-devel libXtst-devel libXv-devel 
BuildRequires: libXxf86misc-devel libxkbfile-devel wxGTK-devel xorg-xf86vidmodeproto-devel zlib-devel
BuildRequires: fontconfig glibc-pthread libGLU-devel libICE-devel libSM-devel libX11-devel libXdamage-devel libXfixes-devel libXrender-devel 
BuildRequires: libgtk+2-common libstdc++-devel wxGTK xorg-inputproto-devel xorg-kbproto-devel xorg-scrnsaverproto-devel xorg-xextproto-devel 
BuildRequires: xorg-xf86miscproto-devel xorg-xineramaproto-devel xorg-xproto-devel

BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires: %name-library %name-doc

%description
Kicad is an open source (GPL) software for the creation of electronic 
schematic diagrams and printed circuit board artwork. 

Kicad is a set of four softwares and a project manager: 
 
	Eeschema :  Schematic entry. 
	Pcbnew :    Board editor. 
	Gerbview :  GERBER viewer (photoplotter documents). 
	Cvpcb :     footprint selector for components used in the circuit design. 
	Kicad:      project manager.

%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1

%build
export LC_ALL=C
cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DCMAKE_INSTALL_PREFIX=/usr
%make

%install
%__mkdir_p %buildroot
%make DESTDIR=%buildroot install

# create desktop file
%__mkdir_p %buildroot/%_datadir
#desktop-file-install --vendor='' \
#	--remove-category='Scientific' \
#	--add-category='Science;Computer science' \
#	--dir=%buildroot%_datadir/applications \
#	%buildroot%_datadir/applications/*.desktop
install -p -m 644 resources/linux/opendesktop/* %buildroot%_datadir/applications
install -p -m 644 resources/linux/icons/* %buildroot%_datadir/pixmaps

# create icons
mkdir -p %buildroot%_miconsdir %buildroot%_iconsdir %buildroot%_liconsdir
convert -resize 16x16 %buildroot%_datadir/pixmaps/%name.png %buildroot%_miconsdir/%name.png
convert -resize 32x32 %buildroot%_datadir/pixmaps/%name.png %buildroot%_iconsdir/%name.png
convert -resize 48x48 %buildroot%_datadir/pixmaps/%name.png %buildroot%_liconsdir/%name.png

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%_bindir/*
%_prefix/lib/%name/plugins/netlist_form_pads-pcb
%_datadir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_datadir/applications/*
%_datadir/pixmaps/*
%doc %_datadir/doc/%name

%changelog
* Fri Feb 13 2009 Alexey Shentzev <ashen@altlinux.ru> 20080825-alt0.2
- fix desktop files

* Fri Feb 13 2009 Alexey Shentzev <ashen@altlinux.ru> 20080825-alt0.1
- first build for ALT Linux


